.worldSecondCustomSection {
  padding-bottom: 120px;

  @media screen and (min-width: 1440px) {
    padding-bottom: 160px;
  }
}

.worldSecondSectionTitle {
  @media screen and (min-width: 1440px) {
    width: 526px;
  }
}

.worldSecondCustomListWrapper {
  position: relative;
  max-height: 200px;
  overflow-y: hidden;

  margin-top: 56px;
  transition: max-height var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1440px) {
    margin-top: 80px;
    max-height: 328px;
  }
}

.worldSecondCustomListWrapper.isOpen {
  max-height: 100vh;
}

.worldSecondCustomListWrapper::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;

  width: 100%;
  height: 48px;
  background-image: var(--world-list-gradient);
  opacity: 1;
  transition: opacity var(--transition-duration) ease-in-out;
}
.worldSecondCustomListWrapper.isOpen::after {
  opacity: 0;
}

.worldSecondCustomList {
  display: flex;
  align-items: flex-start;

 @media screen and (min-width: 768px) {
    justify-content: space-between;
  }
  @media screen and (min-width: 1440px) {
    justify-content: space-between;
  }
}

.worldSecondCustomItem {
  width: calc((100% - 20px) / 3);

  @media screen and (min-width: 768px) {
    width: fit-content;
  }
  @media screen and (min-width: 1440px) {
    width: fit-content;
  }
}

.worldSecondCustomItem:not(:first-child) {
  margin-left: 10px;
}

.worldSecondCustomItemTitle {
  font-family: TT Firs Neue;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  letter-spacing: -0.01em;
  text-align: left;

  color: var(--secondary-grey-color);

@media screen and (min-width: 1024px) {
    font-size: 24px;
    line-height: 32px;
  }
  @media screen and (min-width: 1440px) {
    font-size: 24px;
    line-height: 32px;
  }
}

.worldSecondCustomCitiesList {
  margin-top: 16px;


  @media screen and (min-width: 1440px) {
    margin-top: 24px;
  }
}

.worldSecondCustomCitiesListItem {
  display: flex;
  align-items: center;

  color: var(--black-color);
}

.worldSecondCustomCitiesListItem:not(:first-child) {
  margin-top: 8px;
}

.worldSecondCustomCitiesListItemIcon {
  display: block;
  width: 16px;
  height: 16px;

  fill: var(--black-color);

@media screen and (min-width: 1024px) {
    width: 32px;
    height: 32px;
  }
  @media screen and (min-width: 1440px) {
    width: 32px;
    height: 32px;
  }
}

.worldSecondCustomCitiesListItemText {
  margin-left: 2px;

  font-family: Futura PT;
  font-size: 14px;
  font-weight: 400;
  line-height: 16px;
  letter-spacing: 0em;
  text-align: left;

@media screen and (min-width: 1024px) {
    margin-left: 4px;

    font-size: 24px;
    line-height: 32px;
  }
  @media screen and (min-width: 1440px) {
    margin-left: 4px;

    font-size: 24px;
    line-height: 32px;
  }
}

.worldSecondCustomListButton {
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-color: var(--purple-color);
  width: 200px;

  margin-left: auto;
  margin-right: auto;
  margin-top: 24px;
  padding: 10px 12px 10px 16px;

  color: var(--white-color);

  font-family: TT Firs Neue;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  letter-spacing: -0.01em;
  text-align: center;

@media screen and (min-width: 1024px) {
    width: 240px;

    margin-top: 80px;

    padding: 12px 12px 12px 16px;

    font-size: 16px;
    line-height: 24px;
  }
  @media screen and (min-width: 1440px) {
    width: 240px;

    margin-top: 80px;

    padding: 12px 12px 12px 16px;

    font-size: 16px;
    line-height: 24px;
  }
}

.worldSecondCustomListWrapper.isOpen ~ .worldSecondCustomListButton .isHiddenText {
  display: none;
}

.isOpenText {
  display: none;
}
.worldSecondCustomListWrapper.isOpen ~ .worldSecondCustomListButton .isOpenText {
  display: block;
}

.worldSecondCustomListButtonIcon {
  display: block;
  width: 16px;
  height: 16px;

  margin-left: 26px;
  stroke: var(--white-color);

  transition: transform var(--transition-duration) ease-in-out;

  @media screen and (min-width: 1440px) {
    width: 24px;
    height: 24px;

    margin-left: 40px;
  }
}

.worldSecondCustomListWrapper.isOpen ~ .worldSecondCustomListButton .worldSecondCustomListButtonIcon {
  transform: rotate(-180deg);
}
